<!DOCTYPE html>
<html>
<head>
	<title>Autocomplete multiselect jquery Example</title>
	<link rel="stylesheet" type="text/css" href="http://code.jquery.com/ui/1.10.4/themes/ui-lightness/jquery-ui.css"/>
	<link rel="stylesheet" type="text/css" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" />
	<link rel="stylesheet" type="text/css" href="style.css"/>	
	<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script> 
	<script src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.10.4/jquery-ui.min.js"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
	<script src="autocomplete.multiselect.js"></script>
	<script src="https://kit.fontawesome.com/b99e675b6e.js"></script>
	<style>
		table,
		th,
		td {
			border: 1px solid black;
			border-collapse: collapse;
		}

		th,
		td {
			padding: 5px;
			text-align: left;
		}
	</style>
</head>
<body>

<!-- <div class="main-div">
	<h2>Autocomplete multiselect jquery Example</h2>
	<input id="myAutocompleteMultiple" type="text" />
</div> -->
<div class="container">
	<div class="row">
		<div class="wrapper">
			<div class="search_box">
				<select class="dropdown" name="city" id="city">
					<option value="" selected disabled>Select City</option>
					<option value="Mumbai">Mumbai</option>
					<option value="Pune">Pune</option>
					<option value="Nashik">Nashik</option>
				</select>
				<div class="search_field">
					<input type="text" id="myAutocompleteMultiple" class="input" placeholder="Search">
					<i class="fas fa-search"></i>
				</div>

			</div>

		</div>
	</div>
	<div class="row" id="result_div">
		<div class="col-3">
			<label for=""> Complex Name</label>
			<label for=""> Rera codes</label>
			<label for=""> Micromarket</label>
			<label for=""> Developer</label>
			<label for=""> Price psf</label>
			<label for=""> Total Registered</label>
			<label for=""> type</label>
			<label for=""> total_units</label>
			<label for=""> total_booked</label>
		</div>
	</div>

</div>

	

<!-- <div class="container">
	<h1>Hello</h1>
	<div id="settings"></div>
</div> -->



<script type="text/javascript">
	$(function(){
		$("#myAutocompleteMultiple").bind('keyup',function(){

			var term = $("#myAutocompleteMultiple").val();
			var location = $("#city").val();

			if( location ){
				if (term.length >= 3 ){
					$.ajax({
						type: "POST",
						url: "https://crematrix.herokuapp.com/core/v1/search/",
						data: { term: term, location: location },
						success: function (response){
							// console.log("Object.keys(selectedTerm).length");
							var terms = [];
							response.data.suggestions.forEach(element => {
								terms.push({ id: element.id, value: element.value, type: element.type });
							});

							$('#myAutocompleteMultiple').autocomplete({
								source: terms,
								multiselect: true,
							});
						
						}
					})
				
			}
			} else {
				alert("Please select city"); 
				$('#myAutocompleteMultiple').val('');
			}


				// var arr = { project_ids: 147, micromarkets: 'Worli' };
				// $.ajax({
				// 	type: "POST",
				// 	url: "https://crematrix.herokuapp.com/core/v1/compare/project_ids=[]&micromarket=['worli']&json=true",
				// 	dataType: "json",
				// 	success: function (response) {
				// 		console.log(response);
				// 	}
				// })
				
				// var settings = {
				// 	"url": "https://crematrix.herokuapp.com/core/v1/compare/",
				// 	"method": "POST",
				// 	"timeout": 0,
				// 	"headers": {
				// 		"Content-Type": "application/json"
				// 	},
				// 	"data": JSON.stringify({ "project_ids": [147], "micromarkets": ["Worli"] }),
				// };

				// $.ajax(settings).done(function (response) {
				// 	//return response;
				// 	//alert(response);
				// 	alert(`${JSON.stringify(response)}`);
				// 	console.log(response);
				// 	$('#settings').html(response)
				// });
				
				// $.post('https://crematrix.herokuapp.com/core/v1/compare/', { project_ids:"143", micromarket:"Worli"},
				// 	function (returnedData) {
				// 		console.log(returnedData);
				// 	});

				// $("#myAutocompleteMultiple").unbind('keyup');

				// $.ajax({
				// 	url: 'https://crematrix.herokuapp.com/core/v1/compare/',
				// 	type: 'POST',
				// 	data: jQuery.param({  project_ids:"147", micromarket:"Worli"}),
				// 	contentType: 'application/x-www-form-urlencoded; charset=UTF-8',
				// 	success: function (response) {
				// 		alert(response.status);
				// 	},
				// 	error: function () {
				// 		alert("error");
				// 	}
				// }); 
	
        });
	
		
		$("#city").on('change', function () {
			//alert();
			//$('#myAutocompleteMultiple').val('');
			//location.reload();
			//alert();
			// console.log(selectedTerm);
			// selectedTerm = [];
			// $('#myAutocompleteMultiple').autocomplete({
			// 	source: terms,
			// 	multiselect: true,
			// });
			//$("#myAutocompleteMultiple").autocomplete.term = null;
			//$("#myAutocompleteMultiple").autocomplete("destroy");
			//$("#myAutocompleteMultiple").val(null);
			// $('#myAutocompleteMultiple').val('');
		});
	});

		$(".default_option").click(function () {
			$(".dropdown ul").addClass("active");
		});

		$(".default_option").change(function () {
			console.log($(this));
		});

		$(".dropdown ul li").click(function () {
			var text = $(this).text();
			$(".default_option").text(text);
			$(".dropdown ul").removeClass("active");
		});

</script>
</body>
</html>